Bug 1908983 - i18n: Add Horizontal Pod Autoscaler action menu is not translated
Summary: i18n: Add Horizontal Pod Autoscaler action menu is not translated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-18 05:56 UTC by Yadan Pei
Modified: 2021-02-24 15:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Two action menu items were not internationalized. Consequence: They weren't able to be localized. Fix: Internationalized action menu items. Result: The bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:46:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
Add Horizontal Pod Autoscaler is not translated (101.86 KB, image/png)
2020-12-18 05:56 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7605 0 None closed Bug 1908983: i18n Deployments/DeploymentConfigs dropdowns 2021-02-08 17:07:29 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:52 UTC

Description Yadan Pei 2020-12-18 05:56:03 UTC
Created attachment 1740131 [details]
Add Horizontal Pod Autoscaler is not translated

Description of problem:
action menu `Add Horizontal Pod Autoscaler` for Deployment and DeploymentConfig is not translated

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-12-14-165231

How reproducible:
Always

Steps to Reproduce:
1. Visit console and add ?pseudolocalization=true&lng=en suffix to URL
2. Create Deployment or DeploymentConfig and goes to its Details page, check action menus 


Actual results:
2. All action menus except `Add Horizontal Pod Autoscaler` are translated

Expected results:
2. `Add Horizontal Pod Autoscaler` should also be translated

Additional info:

Comment 1 Jakub Hadvig 2020-12-18 10:50:19 UTC
Please select the Target Release once we are confident that the issue will be fixed in selected release. Thanks.

Comment 2 ralpert 2020-12-18 14:49:43 UTC
@yapei@redhat.com - Thanks for flagging. Looks like whoever did the Deployments and DeploymentConfig sections skipped them. I'm fixing them now.

Comment 4 Yanping Zhang 2021-01-07 10:23:07 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2021-01-06-160219
On console, with "?pseudolocalization=true&lng=en" at the end of url, check action menu `Add Horizontal Pod Autoscaler` for Deployment and DeploymentConfig, they are marked for translation.

Comment 7 errata-xmlrpc 2021-02-24 15:46:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.